
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[转]Oracle dbms_random函数用法快速生成多条测试数据 / 憋错料</title>

    <meta name="description" content="[转]Oracle dbms_random函数用法快速生成多条测试数据 做数据库开发或管理的人经常要创建大量的测试数据,动不动就需要上万条,如果一条一条的录入,那会浪费大量的时间,本文介绍了Oracle中如何通过一条SQL快速生成大量的测试数据的方法. 首先模拟一下100条的随机数据 [sql] view plaincopyprint? select rownum as id, to_char(sysdate + rownum / 24 / 3600, 'yyyy-mm-dd hh24:mi:ss') as inc_datetime, trunc(dbms_rand">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[转]Oracle dbms_random函数用法快速生成多条测试数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>做数据库开发或管理的人经常要创建大量的测试数据，动不动就需要上万条，如果一条一条的录入，那会浪费大量的时间，本文介绍了Oracle中如何通过一条SQL快速生成大量的测试数据的方法。</p>
<p>首先模拟一下100条的随机数据</p>
<p><strong>[sql]</strong>&nbsp;<a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">copy</a><a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">print</a><a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">?</a></p>

<ol>
<li>select&nbsp;rownum&nbsp;as&nbsp;id,</li>
<li>to_char(sysdate&nbsp;+&nbsp;rownum&nbsp;/&nbsp;24&nbsp;/&nbsp;3600,&nbsp;‘yyyy-mm-dd&nbsp;hh24:mi:ss‘)&nbsp;as&nbsp;inc_datetime,</li>
<li>trunc(dbms_random.value(0,&nbsp;100))&nbsp;as&nbsp;random_id,</li>
<li>dbms_random.string(‘$‘,&nbsp;20)&nbsp;random_string</li>
<li>from&nbsp;dual</li>
<li>connect&nbsp;by&nbsp;level&nbsp;&lt;=&nbsp;100;</li>
</ol>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MjExNTMyNDAyODg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZUdsaGIydDFhVjkzYVc1blpteDUvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg" /></p>
<p>以上代码中并没有插入数据库中，若要插入只需要对sql上增加create table 表 as &nbsp;或 insert into select方式</p>
<p>上面SQL是利用了Oracle数据库语法的几个实用小技巧实现的：<br />1、利用Oracle特有的&ldquo;connect by&rdquo;树形连接语法生成测试记录，&ldquo;level &lt;= 10&rdquo;表示要生成10记录；<br />2、利用rownum虚拟列生成递增的整数数据；<br />3、利用sysdate函数加一些简单运算来生成日期数据，本例中是每条记录的时间加1秒；<br />4、利用dbms_random.value函数生成随机的数值型数据，本例中是生成0到100之间的随机整数；<br />5、利用dbms_random.string函数生成随机的字符型数据，本例中是生成长度为20的随机字符串，字符串中可以包括字符或数字。</p>
<p>dbms_random.函数中的参数介绍</p>
<p><strong>[sql]</strong>&nbsp;<a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">view plain</a><a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">copy</a><a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">print</a><a href="http://blog.csdn.net/xiaokui_wingfly/article/details/45892421" rel="external nofollow noreferrer">?</a></p>

<ol>
<ol>
<li>--&nbsp;****************************************&nbsp;&nbsp;随机数字&nbsp;&nbsp;***************************************************</li>
<li>select&nbsp;decode(trunc(dbms_random.value(0,&nbsp;2)),‘0‘,‘女‘,‘1‘,‘男‘)&nbsp;from&nbsp;dual</li>
<li>select&nbsp;length(dbms_random.random)&nbsp;from&nbsp;dual;&nbsp;&nbsp;--&nbsp;产生一个任意长度为9，10，11位的数字</li>
<li>select&nbsp;abs(mod(dbms_random.random,100))&nbsp;from&nbsp;dual;&nbsp;&nbsp;--&nbsp;产生一个100以内的随机数</li>
<li>select&nbsp;trunc(10+90*dbms_random.value)&nbsp;from&nbsp;dual;&nbsp;&nbsp;--&nbsp;产生10~100之间的任意2位随机整数（包含10,不包含100）</li>
<li>select&nbsp;dbms_random.value&nbsp;from&nbsp;dual;&nbsp;&nbsp;&nbsp;--&nbsp;产生一个大于0小于1的随机数小数(小数点后37或38位长度)</li>
<li>select&nbsp;dbms_random.value(10,20)&nbsp;from&nbsp;dual;&nbsp;&nbsp;&nbsp;--&nbsp;产生一个大于10小于20的随机数小数(小数点后38位)</li>
<li>select&nbsp;dbms_random.normal&nbsp;from&nbsp;dual;&nbsp;&nbsp;--&nbsp;normal函数返回服从正态分布的一组数。此正态分布标准偏差为1，期望值为0。这个函数返回的数值中有68%是介于-1与+1之间，95%介于-2与+2之间，99%介于-3与+3之间。</li>
<li>--&nbsp;****************************************&nbsp;&nbsp;随机日期&nbsp;&nbsp;***************************************************</li>
<li>select&nbsp;to_date(trunc(dbms_random.value(to_number(to_char(sysdate-10,&nbsp;‘J‘)),&nbsp;to_number(to_char(sysdate,&nbsp;‘J‘)))),&nbsp;‘J‘)&nbsp;from&nbsp;dual;&nbsp;&nbsp;--&nbsp;在过去10天内取随机日期</li>
<li>select&nbsp;(sysdate&nbsp;-&nbsp;1&nbsp;/&nbsp;24&nbsp;/&nbsp;60&nbsp;*&nbsp;30)&nbsp;+&nbsp;dbms_random.value&nbsp;(1,&nbsp;1800)&nbsp;/&nbsp;3600&nbsp;/&nbsp;24&nbsp;from&nbsp;dual;&nbsp;&nbsp;&nbsp;&nbsp;--&nbsp;在过去30分钟内取随机时间</li>
<li>select&nbsp;to_date(to_char(to_date(‘2015-01-01‘,&nbsp;‘yyyy-MM-dd‘),&nbsp;‘J‘)&nbsp;+&nbsp;trunc(DBMS_RANDOM.VALUE(0,&nbsp;365)),&nbsp;‘J‘)&nbsp;from&nbsp;dual;&nbsp;&nbsp;&nbsp;--&nbsp;查询2015年中的任意日期</li>
<li>--&nbsp;在指定日期范围内取随机时间</li>
<li>select&nbsp;to_date(trunc(dbms_random.value(to_number(to_char(to_date(‘20150501‘,&nbsp;‘yyyymmdd‘),‘J‘)),</li>
<li>to_number(to_char(to_date(‘20150531‘,&nbsp;‘yyyymmdd‘)&nbsp;+&nbsp;1,&nbsp;‘J‘)))</li>
<li>),&nbsp;‘J‘)&nbsp;+&nbsp;dbms_random.value(1,&nbsp;3600)&nbsp;/&nbsp;3600&nbsp;prize_time</li>
<li>from&nbsp;dual;</li>
<li>--&nbsp;从现在开始到过去的100年之间的任意时刻</li>
<li>select&nbsp;to_date(trunc(dbms_random.value(</li>
<li>to_number(to_char(add_months(sysdate,-100&nbsp;*&nbsp;12),‘J‘)),</li>
<li>to_number(to_char(sysdate&nbsp;+&nbsp;1,&nbsp;‘J‘)))</li>
<li>),&nbsp;‘J‘)&nbsp;+&nbsp;dbms_random.value(1,&nbsp;3600)&nbsp;/&nbsp;3600&nbsp;from&nbsp;dual;</li>
<li>--&nbsp;****************************************&nbsp;&nbsp;随机字符(产生任意长度为20的字符串)&nbsp;&nbsp;***************************************************</li>
<li>select&nbsp;dbms_random.string(‘u‘,&nbsp;20)&nbsp;from&nbsp;dual&nbsp;&nbsp;--&nbsp;‘u‘,&nbsp;‘U‘&nbsp;返回全是大写的字符串（uppercase）&nbsp;测算发现,只要参数不是一个中文或全角字符，返回数据均是大写</li>
<li>select&nbsp;dbms_random.string(‘l‘,&nbsp;20)&nbsp;from&nbsp;dual&nbsp;&nbsp;--&nbsp;‘l‘,&nbsp;‘L‘&nbsp;-&nbsp;返回全是小写的字符串（lowercase）</li>
<li>select&nbsp;dbms_random.string(‘a‘,&nbsp;20)&nbsp;from&nbsp;dual&nbsp;&nbsp;--&nbsp;‘a‘,&nbsp;‘A‘&nbsp;-&nbsp;返回大小写结合的字符串（mixed&nbsp;case）</li>
<li>select&nbsp;dbms_random.string(‘x‘,&nbsp;20)&nbsp;from&nbsp;dual&nbsp;&nbsp;--&nbsp;‘x‘,&nbsp;‘X‘&nbsp;-&nbsp;返回全是大写和数字的字符串（uppercase,alpha&amp;numeric）</li>
<li>select&nbsp;dbms_random.string(‘p‘,&nbsp;20)&nbsp;from&nbsp;dual&nbsp;&nbsp;--&nbsp;‘p‘,&nbsp;‘P‘&nbsp;-&nbsp;返回键盘上出现字符的随机组合（any&nbsp;printable&nbsp;char）</li>
<li>那要生成10万条测试记录表可以用如下SQL：
<p>create table myTestTable as&nbsp;<br />select rownum as id,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; to_char(sysdate + rownum/24/3600, ‘yyyy-mm-dd hh24:mi:ss‘) as inc_datetime,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; trunc(dbms_random.value(0, 100)) as random_id,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; dbms_random.string(‘x‘, 20) random_string<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; from dual<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; connect by level &lt;= 100000;</li>
<li>DBMS_RANDOM.STRING用法：
<p>1）选项‘u‘, ‘U‘ - returning string in uppercase alpha characters<br />2）选项‘l‘, ‘L‘ - returning string in lowercase alpha characters<br />3）选项‘a‘, ‘A‘ - returning string in mixed case alpha characters<br />4）选项‘x‘, ‘X‘ - returning string in uppercase alpha-numeric characters<br />5）选项‘p‘, ‘P‘ - returning string in any printable characters.<br />6）选项&nbsp;Otherwise the returning string is in uppercase alpha characters.</p>
<p><strong>例子：</strong></p>
<p>生成由大写字母和数字组成的8位密码</p>
<p>[email&#160;protected]&gt;select dbms_random.string(‘x‘,8) "x_8_password" from dual;</p>
<p>x_8_password</p>
<p>----------------------------------------------</p>
<p>TT3ISGUV</li>
</ol>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 02:41:28 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[转]Oracle dbms_random函数用法快速生成多条测试数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWQmjr3.html" rel="bookmark">Oracle dbms&lowbar;random函数用法快速生成多条测试数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做数据库开发或管理的人经常要创建大量的测试数据,动不动就需要上万条,如果一条一条的录入,那会浪费大量的时间,本文介绍了Oracle中如何通过一条SQL快速生成大量的测试数据的方法. 首先模拟一下100条的随机数据 select rownum as id, to_char(sysdate + rownum / 24 / 3600, 'yyyy-mm-dd hh24:mi:ss') as inc_datetime, trunc(dbms_random.value(0, 100)) as random			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgAeQr3.html" rel="bookmark">MySQL快速生成100W条测试数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://blog.csdn.net/qq_16946803/article/details/81870174 1.生成思路利用mysql内存表插入速度快的特点,先利用函数和存储过程在内存表中生成数据,然后再从内存表插入普通表中 2.创建普通表及内存表普通表CREATE TABLE `vote_record` ( `id` INT (11) NOT NULL AUTO_INCREMENT, `user_id` VARCHAR (20) NOT NULL, `vote_id` INT (11			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l2YJB4.html" rel="bookmark">mysql 快速生成百万条测试数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转  https://blog.csdn.net/gooooa/article/details/54691590 1.生成思路 利用mysql内存表插入速度快的特点,先利用函数和存储过程在内存表中生成数据,然后再从内存表插入普通表中 2.创建内存表及普通表 CREATE TABLE `vote_record_memory` ( `id` INT (11) NOT NULL AUTO_INCREMENT, `user_id` VARCHAR (20) NOT NULL, `vote_id` INT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3weqRbM.html" rel="bookmark">oracle trim函数用法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在oracle数据库中,trim一般都是用在删除字符串两边的空格.实际上,trim也可以用来删除字符串两边的指定字符.并且trim指定删除的字符串只能是单个字符Oracle TRIM函数是很常见的函数,下面对Oracle TRIM函数的语法作了详尽的阐述说明,希望可以让您对Oracle TRIM函数有更深的认识. 如果提到Oracle TRIM函数,最简单的功能就是使用它来去除字符串的行首和行尾的空格,这个功能也是大家使用频率最高的一种.然而Oracle TRIM函数其实是具有删除“任意指定”字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bjXYm0.html" rel="bookmark">&lbrack;转载&rsqb;Oracle ltrim&lpar;&rpar; 函数用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面有说到过LPAD和RPAD这两个函数用法的文章,今天发现与之相反意义的另外两个函数,那就是LTRIM() RTRIM(). 这次就挑LTRIM() 这一函数来讲讲: 具体的语法格式如下: LTRIM(c1,[,c2]) [功能]删除左边出现的字符串 [参数]C1 字符串,c2 追加字符串,默认为空格 [返回]字符型 接下来看看几个例子: [sql] view plain copy select ltrim('abcddee','abc') from dual; ----------输出结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41eExG4.html" rel="bookmark">Oracle substr函数用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle的substr函数的用法  取得字符串中指定起始位置和长度的字符串   substr( string, start_position, [ length ] )  如:      substr('This is a test', 6, 2)     would return 'is'      substr('This is a test', 6)     would return 'is a test'      substr('TechOnTheNet', -3, 3)     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RmdE9M.html" rel="bookmark">oracle decode函数用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DECODE函数是ORACLE PL/SQL是功能强大的函数之中的一个,眼下还仅仅有ORACLE公司的SQL提供了此函数,其它数据库厂商的SQL实现还没有此功能.DECODE有什么用途 呢? 先构造一个样例,如果我们想给智星职员加工资,其标准是:工资在8000元下面的将加20%:工资在8000元以上的加15%.通常的做法是.先选出记录 中的工资字段值? select salary into var-salary from employee,然后对变量var-salary用if-then-else			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pGqxy3.html" rel="bookmark">oracle wm&lowbar;concat函数用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				wmsys.wm_concat函数,它的作用是以','链接字符 例子如下: SQL&gt; create table idtable (id number,name varchar2(30)); Table created SQL&gt; insert into idtable values(10,'ab'); 1 row inserted SQL&gt; insert into idtable values(10,'bc'); 1 row inserted SQL&gt; insert into idt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4plr7R4.html" rel="bookmark">oracle trunc&lpar;&rpar;函数用法-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.TRUNC(for dates) TRUNC函数为指定元素而截去的日期值. 其具体的语法格式如下: TRUNC(date[,fmt]) 其中: date 一个日期值 fmt 日期格式,该日期将由指定的元素格式所截去.忽略它则由最近的日期截去 下面是该函数的使用情况: TRUNC(TO_DATE('24-Nov-1999 08:00 pm','dd-mon-yyyy hh:mi am')) ='24-Nov-1999 12:00:00 am'			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMom8b3.html" rel="bookmark" class="title">rhel 6下配置网络yum源（虚拟机环境下）</a>
					<div>
						1.修改网络配置文件,保证能够联网 将网路链接模式改为:桥接模式 # vi /etc/sysconfig/network-scrips/ifcfg-bond0 DEVICE=bond0 #HWADDR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWYyQ0.html" rel="bookmark" class="title">ASP&period;NET中引用dll&OpenCurlyDoubleQuote;找不到指定模块&amp;quot&semi;的完美解决办法 z</a>
					<div>
						DllImport是System.Runtime.InteropServices命名空间下的一个属性类,其功能是提供从非托管DLL导出的函数的必要调用信息.DllImport属性应用于方法,要求最少要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nENavM.html" rel="bookmark" class="title">指纹解锁以及自定义转场动画</a>
					<div>
						这两天工作不忙,就去研究了下指纹解锁以及转场动画,其实这里面的单单一个动画就可以说半天了,但是今天不去说动画.这个以后有时间在讲讲.. 指纹解锁,很简单,官方文档上说的很清楚,其实我们要做的几乎没有. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M62yO5M.html" rel="bookmark" class="title">在3dmax中的动画关键帧消失的问题。</a>
					<div>
						当我们没有全选所有物体时是不显示关键帧的.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mox5yD0.html" rel="bookmark" class="title">Asp&period;Net使用Bulk批量插入数据</a>
					<div>
						1 using System; 2 using System.Collections.Generic; 3 using System.Linq; 4 using System.Web; 5 using ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nk9vX3.html" rel="bookmark" class="title">Win10 VMware虚拟机无法打开内核设备&OpenCurlyDoubleQuote;&bsol;&bsol;&period;&bsol;Global&bsol;vmx86&OpenCurlyDoubleQuote;</a>
					<div>
						前几项与Win7配置相同 用管理员模式打开CMD 运行 net start vmci net start vmx86 net start VMnetuserif 这三条命令 为了不用每次启动都这样,修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPXrOM.html" rel="bookmark" class="title">摘要&colon; 最近在实现基于lucene&period;ne大叔大叔大叔大叔的</a>
					<div>
						宝玉- 博客园 摘要: 最近在实现基于lucene.ne http://bbs.sssc.cn/thread-4458069-1-1.htmlhttp://bbs.sssc.cn/thread-445 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPvrK4.html" rel="bookmark" class="title">ERROR 2002 &lpar;HY000&rpar;&colon; Can&amp;&num;39&semi;t connect to local MySQL server through socket &amp;&num;39&semi;&sol;var&sol;lib&sol;mysql&sol;mysql&period;sock&amp;&num;39&semi; &lpar;2&rpar;</a>
					<div>
						当使用host参数为&quot;localhost&quot;连接Mysql服务时,会优先使用&quot;sock文件&quot;进行连接,而不是使用&quot;IP:端口&quot;进行连接,而My ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZK1yM.html" rel="bookmark" class="title">GDB调试 &lpar;一&rpar;</a>
					<div>
						用GDB调试程序 GDB概述---- GDB是GNU开源组织发布的一个强大的UNIX下的程序调试工具.或许,各位比较喜欢那种图形界面方式的,像VC.BCB等IDE的调试,但如果你是在UNIX平台下做软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZpkP3.html" rel="bookmark" class="title">抓包工具之fiddler实战3-接口测试</a>
					<div>
						Fiddler实现接口测试 Fiddler提供了进行接口测试的功能,找到composer界面,选择接口方法,填写接口URL地址,发送请求. 例子:全国天气预报的接口 http://v.juhe.cn/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZbAD4.html" rel="bookmark" class="title">对sizeof的各种总结</a>
					<div>
						数组型(二维) #include&lt;stdio.h&gt; int main() { int a[3][4] = {0}; printf(&quot;%d\n&quot;,sizeof(a));  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02256p0.html" rel="bookmark" class="title">POJ 3614</a>
					<div>
						POJ 3614 题目大意:奶牛美容:有C头奶牛日光浴,每头奶牛分别需要minSPF_i和maxSPF_i单位强度之间的阳光.现有L种防晒霜,分别能使阳光强度稳定为SPF_i, 其瓶数为cover_i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQ8AaM.html" rel="bookmark" class="title">自然语言交流系统 phxnet团队 创新实训 项目博客 （十一）</a>
					<div>
						神经网络的计算过程 神经网络结构如下图所示,最左边的是输入层,最右边的是输出层,中间是多个隐含层,隐含层和输出层的每个神经节点,都是由上一层节点乘以其权重累加得到,标上&quot;+1&quot;的圆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mob8GQ4.html" rel="bookmark" class="title">前女友秦岚：感恩相遇</a>
					<div>
						http://www.zhihu.com/people/qvoti08484/collectionshttp://www.zhihu.com/people/ywwuy40042http://www.z ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXNLP4.html" rel="bookmark" class="title">用指针做函数参数的好处，</a>
					<div>
						用指针做函数参数的好处, 首先要理解函数传参的过程,函数传参是复制型的,例如 void modify(int a) { a++; } void main() { int a=5; modify(a); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6NYPM.html" rel="bookmark" class="title">数据库阻塞和死锁的区别</a>
					<div>
						本文来自:http://blog.sina.com.cn/s/blog_6f33ee7901018nsd.html 数据库阻塞和死锁在程序开发过程经常出现,怎么样避免呢?下面通过Demo简单模拟下,数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QPwjo3.html" rel="bookmark" class="title">链表的基本操作（元素删除，插入，链表生成，链表倒置）</a>
					<div>
						#include&lt;stdio.h&gt; #include&lt;string.h&gt; #include&lt;stdlib.h&gt; typedef struct stu{ int d; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyzN2V0.html" rel="bookmark" class="title">webstrom的热更新没效果</a>
					<div>
						webstorm保存的时候会先保存到临时文件中,其实并没有真正保存,要在setting-&gt;stystem settings下的&quot;use save write&quot;去掉					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kgljl0.html" rel="bookmark" class="title">SEO规则之页面Title，Meta规则</a>
					<div>
						一．页面Title命名原则和规范 1. Title命名原则 a)       标题要主题明确,包含这个网页中最重要的内容 b)      文章页title中不要加入过多的额外描述,会分散用户注意力 c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPbv2a3.html" rel="bookmark" class="title">根据werservice代码用CXF生成WSDL</a>
					<div>
						原文:http://hongyegu.iteye.com/blog/619147,谢谢! import org.apache.cxf.tools.java2ws.JavaToWS; import ne ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
